package gmt.protocol.ext.VO;

public class ExtMsg_UPS01VO {
	private String msg;
	private String packetType;
	private int powerSource;        //1 : Battery, 2 : AC 전원
	private int batteryLevel;       //단위(%)
	private int powerLevel;         //단위(%)
	private int backupTime;         //단위(ch)
	
	public ExtMsg_UPS01VO() {
		this.msg = "";
		this.packetType = "";
		this.powerSource = 0;
		this.batteryLevel = 0;
		this.powerLevel = 0;
		this.backupTime = 0;
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public int getPowerSource() {
		return powerSource;
	}
	public void setPowerSource(int powerSource) {
		this.powerSource = powerSource;
	}	
	public int getBatteryLevel() {
		return batteryLevel;
	}
	public void setBatteryLevel(int batteryLevel) {
		this.batteryLevel = batteryLevel;
	}			
	public int getPowerLevel() {
		return powerLevel;
	}
	public void setPowerLevel(int powerLevel) {
		this.powerLevel = powerLevel;
	}	
	public int getBackupTime() {
		return backupTime;
	}
	public void setBackupTime(int backupTime) {
		this.backupTime = backupTime;
	}
}
